<template>
  <v-row justify="center">
    <v-dialog v-model="dialogDelete" persistent max-width="600px">
      <v-card>
        <v-toolbar dark color="primary">
          <v-icon class="mr-3">mdi-delete</v-icon>
          <v-toolbar-title>Deletar Material de Apoio</v-toolbar-title>
        </v-toolbar>
        <v-card-text>
          <v-row justify="center">
            <h2 class="title black--text pt-5">
              Você realmente deseja remover "{{ itemToDelete.name }}"?
            </h2>
          </v-row>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="primary" text @click="close">Fechar</v-btn>
          <v-btn color="primary" text @click="confirm">Confirmar</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
<script>
export default {
  name: 'Delete',
  props: {
    itemToDelete: {
      type: Object,
      default: () => {},
    },
    dialogDelete: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {}
  },
  methods: {
    confirm() {
      this.$emit('confirmDelete', this.itemToDelete)
    },
    close() {
      this.$emit('closeDelete')
    },
  },
}
</script>
